org.apache.poi.hwmf.record

## Enum HwmfDraw.WmfArc.WmfArcClosure

- java.lang.Object
- - java.lang.Enum<HwmfDraw.WmfArc.WmfArcClosure>
  - - org.apache.poi.hwmf.record.HwmfDraw.WmfArc.WmfArcClosure

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfDraw.WmfArc.WmfArcClosure>
  Enclosing class:
    HwmfDraw.WmfArc

      public static enum HwmfDraw.WmfArc.WmfArcClosure
      extends java.lang.Enum<HwmfDraw.WmfArc.WmfArcClosure>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARC`
    `CHORD`
    `PIE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `awtType`
    `HwmfGraphics.FillDrawStyle` | `drawStyle`
    `HwmfRecordType` | `recordType`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfDraw.WmfArc.WmfArcClosure` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfDraw.WmfArc.WmfArcClosure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARC

          public static final HwmfDraw.WmfArc.WmfArcClosure ARC

    - #### CHORD

          public static final HwmfDraw.WmfArc.WmfArcClosure CHORD

    - #### PIE

          public static final HwmfDraw.WmfArc.WmfArcClosure PIE

  - ### Field Detail

    - #### recordType

          public final HwmfRecordType recordType

    - #### awtType

          public final int awtType

    - #### drawStyle

          public final HwmfGraphics.FillDrawStyle drawStyle

  - ### Method Detail

    - #### values

          public static HwmfDraw.WmfArc.WmfArcClosure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfDraw.WmfArc.WmfArcClosure c : HwmfDraw.WmfArc.WmfArcClosure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfDraw.WmfArc.WmfArcClosure valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.